xine-lib: xine-lib-1.2.12/src/post/planar/fill.c File Reference

xine-lib 1.2.12

Functions
fill.c File Reference
`#include "planar.h"`
`#include <xine/xine_internal.h>`
`#include <xine/post.h>`

## Functions
static void | fill_dispose (post_plugin_t *this)
static vo_frame_t * | fill_get_frame (xine_video_port_t *port_gen, uint32_t width, uint32_t height, double ratio, int format, int flags)
static int | fill_draw (vo_frame_t *frame, xine_stream_t *stream)
static post_plugin_t * | fill_open_plugin (post_class_t *class_gen, int inputs, xine_audio_port_t **audio_target, xine_video_port_t **video_target)
void * | fill_init_plugin (xine_t *xine, const void *data)

## Function Documentation

## ◆ fill_dispose()

static void fill_dispose | ( | post_plugin_t * | this | ) |
| static

References _x_post_dispose().

Referenced by fill_open_plugin().

## ◆ fill_draw()

static int fill_draw | ( | vo_frame_t * | frame,
|  | xine_stream_t * | stream
| ) |  |
| static

References _x_post_frame_copy_down(), _x_post_frame_copy_up(), vo_frame_s::crop_left, vo_frame_s::crop_right, vo_frame_s::draw, vo_frame_s::next, vo_frame_s::ratio, and vo_frame_s::width.

Referenced by fill_open_plugin().

## ◆ fill_get_frame()

static vo_frame_t * fill_get_frame | ( | xine_video_port_t * | port_gen,
|  | uint32_t | width,
|  | uint32_t | height,
|  | double | ratio,
|  | int | format,
|  | int | flags
| ) |  |
| static

References _x_post_inc_usage, _x_post_intercept_video_frame(), _x_post_rewire(), xine_video_port_s::get_frame, height, post_video_port_s::original_port, post_video_port_s::post, vo_frame_s::ratio, width, XINE_IMGFMT_YUY2, and XINE_IMGFMT_YV12.

Referenced by fill_open_plugin().

## ◆ fill_init_plugin()

void * fill_init_plugin | ( | xine_t * | xine,
|  | const void * | data
| ) |  |

References fill_open_plugin(), N_, NULL, and post_class_s::open_plugin.

## ◆ fill_open_plugin()

static post_plugin_t * fill_open_plugin | ( | post_class_t * | class_gen,
|  | int | inputs,
|  | xine_audio_port_t ** | audio_target,
|  | xine_video_port_t ** | video_target
| ) |  |
| static

References _x_post_init(), _x_post_intercept_video_port(), vo_frame_s::draw, fill_dispose(), fill_draw(), fill_get_frame(), xine_video_port_s::get_frame, input(), xine_post_out_s::name, post_video_port_s::new_frame, post_video_port_s::new_port, NULL, and post_out_s::xine_out.

Referenced by fill_init_plugin().